org.eclipse.incquery.viewers.runtime

## Class IncQueryViewerSupport

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.IncQueryViewerSupport

-     public class IncQueryViewerSupport
      extends java.lang.Object

  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncQueryViewerSupport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bind(org.eclipse.jface.viewers.AbstractListViewer viewer, ViewerDataModel model)` Deprecated. Use `bind(AbstractListViewer, ViewerState)` where `ViewerStateSet` consists of the shared data between various viewers.
    `static void` | `bind(org.eclipse.jface.viewers.AbstractListViewer viewer, ViewerDataModel model, ViewerDataFilter filter)` Deprecated. Use `#bind(AbstractListViewer, ViewerStateSet)` where `ViewerStateSet` consists of the shared data between various viewers.
    `static void` | `bind(org.eclipse.jface.viewers.AbstractListViewer viewer, ViewerState state)` Bind the viewerstate to the list viewer.
    `static void` | `bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer, ViewerDataModel model)` Deprecated. Use `#bind(AbstractTreeViewer, ViewerStateSet)` where `ViewerStateSet` consists of the shared data between various viewers.
    `static void` | `bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer, ViewerDataModel model, ViewerDataFilter filter)` Deprecated. Use `bind(AbstractTreeViewer, ViewerState)` where `ViewerState` consists of the shared data between various viewers.
    `static void` | `bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer, ViewerState state)` Bind the viewerstate to the tree viewer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncQueryViewerSupport

          public IncQueryViewerSupport()

  - ### Method Detail

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractListViewer viewer,
                                  ViewerDataModel model)

      Deprecated. Use `bind(AbstractListViewer, ViewerState)` where `ViewerStateSet` consists of the shared data between various viewers.

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractListViewer viewer,
                                  ViewerDataModel model,
                                  ViewerDataFilter filter)

      Deprecated. Use `#bind(AbstractListViewer, ViewerStateSet)` where `ViewerStateSet` consists of the shared data between various viewers.

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractListViewer viewer,
                                  ViewerState state)

      Bind the viewerstate to the list viewer.
      Parameters:
        `viewer` -
        `state` -

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer,
                                  ViewerDataModel model)

      Deprecated. Use `#bind(AbstractTreeViewer, ViewerStateSet)` where `ViewerStateSet` consists of the shared data between various viewers.

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer,
                                  ViewerDataModel model,
                                  ViewerDataFilter filter)

      Deprecated. Use `bind(AbstractTreeViewer, ViewerState)` where `ViewerState` consists of the shared data between various viewers.

    - #### bind

          public static void bind(org.eclipse.jface.viewers.AbstractTreeViewer viewer,
                                  ViewerState state)

      Bind the viewerstate to the tree viewer.
      Parameters:
        `viewer` -
        `state` -